/*****************************************************************************/
/*  MXTYPES.H   MS-WINDOWS Win32 and Win64 - definition of data types        */
/*                                                                           */
/*  (C) TDi GmbH                                                             */
/*                                                                           */
/*  Include File for Visual C/C++ (32-Bit and 64 -Bit)                       */
/*****************************************************************************/
#ifndef _MATRIXAPI_DATA_TYPES
#define _MATRIXAPI_DATA_TYPES

#include <limits.h>

#ifdef __cplusplus
extern "C" {
#endif

#define _mxUINT8  unsigned char
#define _mxINT8   char

#if ULONG_MAX == 0xffffffff
  #define  _mxINT32 long
  #define  _mxUINT32 unsigned long
  #define  _mxINT16 short
  #define  _mxUINT16 unsigned short
#elif UINT_MAX == 0xffffffff
  #define  _mxINT32 int
  #define  _mxINT16 short
  #define  _mxUINT32 unsigned int
  #define  _mxUINT16 unsigned short 
#else
  #error can not define Matrix-API data types
#endif


#ifdef __cplusplus
}
#endif

#endif  // _MATRIXAPI_DATA_TYPES

